Bug 27826 - [V8] Remove bug-bait V8Proxy::context()
Summary: [V8] Remove bug-bait V8Proxy::context()
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: DOM (show other bugs)
Version: 528+ (Nightly build)
Hardware: PC OS X 10.5
: P2 Normal
Assignee: Adam Barth
URL:
Keywords:
Depends on: 27703
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-29 23:37 PDT by Adam Barth
Modified: 2009-08-06 01:27 PDT (History)
2 users (show)

See Also:


Attachments
Patch v1 (2.47 KB, patch)
2009-07-29 23:40 PDT, Adam Barth
no flags Details | Formatted Diff | Diff
Patch v1 (2.57 KB, patch)
2009-07-29 23:52 PDT, Adam Barth
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Adam Barth 2009-07-29 23:37:35 PDT
The zero-argument version of V8Proxy::context() is never the right way to get the context.  We should remove this bug-bait function once we finish removing all the clients.  (ScheduledAction is the only remaining client, see Bug 27703).
Comment 1 Adam Barth 2009-07-29 23:40:48 PDT
Created attachment 33760 [details]
Patch v1
Comment 2 David Levin 2009-07-29 23:50:08 PDT
Comment on attachment 33760 [details]
Patch v1

> Index: WebCore/bindings/v8/V8Proxy.cpp
> +    v8::Context::Scope contextScope(m_context);

This is more than just a transform on this line.

This line would be equivalent to what was there before: 
   v8::Context::Scope contextScope(v8::Local<v8::Context>::New(m_context));


So r+ if you make this change to make it equivalent to before.
Comment 3 Adam Barth 2009-07-29 23:52:47 PDT
Created attachment 33761 [details]
Patch v1
Comment 4 Adam Barth 2009-07-30 13:44:57 PDT
Assigning to myself while we remove the remaining client.
Comment 5 Adam Barth 2009-08-06 01:27:11 PDT
Comment on attachment 33761 [details]
Patch v1

Clearing review flag on attachment: 33761

Sending        WebCore/ChangeLog
Sending        WebCore/bindings/v8/V8Proxy.cpp
Sending        WebCore/bindings/v8/V8Proxy.h
Transmitting file data ...
Committed revision 46840.
http://trac.webkit.org/changeset/46840
Comment 6 Adam Barth 2009-08-06 01:27:17 PDT
All reviewed patches have been landed.  Closing bug.